VLCKit

Instance Methods | List of all members
<VLCMediaPlayerDelegate> Protocol Reference

`#import <VLCMediaPlayer.h>`

Inheritance diagram for <VLCMediaPlayerDelegate>:

## Instance Methods
(void) | - mediaPlayerStateChanged:
(void) | - mediaPlayerTimeChanged:
(void) | - mediaPlayerTitleChanged:
(void) | - mediaPlayerChapterChanged:
(void) | - mediaPlayerLoudnessChanged:
(void) | - mediaPlayerSnapshot:
(void) | - mediaPlayerStartedRecording:
(void) | - mediaPlayer:recordingStoppedAtPath:

## Detailed Description

Formal protocol declaration for playback delegates. Allows playback messages to be trapped by delegated objects.

## Method Documentation

## ◆ mediaPlayer:recordingStoppedAtPath:

- (void) mediaPlayer: |  | (VLCMediaPlayer *) | player
recordingStoppedAtPath: |  | (NSString *) | path
| optional

Sent by the default notification center whenever the player stopped recording.

Parameters

  player | the player who stopped recording
  path | the path to the file that the player recorded to

## ◆ mediaPlayerChapterChanged:

- (void) mediaPlayerChapterChanged: |  | (NSNotification *) | aNotification |
| optional

Sent by the default notification center whenever the player's chapter has changed (if any).

Discussion The value of aNotification is always an VLCMediaPlayerChapterChanged notification. You can retrieve the VLCMediaPlayer object in question by sending object to aNotification.

## ◆ mediaPlayerLoudnessChanged:

- (void) mediaPlayerLoudnessChanged: |  | (NSNotification *) | aNotification |
| optional

Sent by the default notification center whenever the player's loundess has changed (if any).

Discussion The value of aNotification is always an VLCMediaPlayerLoudnessChanged notification. You can retrieve the VLCMediaPlayer object in question by sending object to aNotification.

## ◆ mediaPlayerSnapshot:

- (void) mediaPlayerSnapshot: |  | (NSNotification *) | aNotification |
| optional

Sent by the default notification center whenever a new snapshot is taken.

Discussion The value of aNotification is always an VLCMediaPlayerSnapshotTaken notification. You can retrieve the VLCMediaPlayer object in question by sending object to aNotification.

## ◆ mediaPlayerStartedRecording:

- (void) mediaPlayerStartedRecording: |  | (VLCMediaPlayer *) | player |
| optional

Sent by the default notification center whenever the player started recording.

Parameters

  player | the player who started recording

## ◆ mediaPlayerStateChanged:

- (void) mediaPlayerStateChanged: |  | (NSNotification *) | aNotification |
| optional

Sent by the default notification center whenever the player's state has changed.

Discussion The value of aNotification is always an VLCMediaPlayerStateChanged notification. You can retrieve the VLCMediaPlayer object in question by sending object to aNotification.

## ◆ mediaPlayerTimeChanged:

- (void) mediaPlayerTimeChanged: |  | (NSNotification *) | aNotification |
| optional

Sent by the default notification center whenever the player's time has changed.

Discussion The value of aNotification is always an VLCMediaPlayerTimeChanged notification. You can retrieve the VLCMediaPlayer object in question by sending object to aNotification.

## ◆ mediaPlayerTitleChanged:

- (void) mediaPlayerTitleChanged: |  | (NSNotification *) | aNotification |
| optional

Sent by the default notification center whenever the player's title has changed (if any).

Discussion The value of aNotification is always an VLCMediaPlayerTitleChanged notification. You can retrieve the VLCMediaPlayer object in question by sending object to aNotification.

Note
  this is about a title in the navigation sense, not about metadata

The documentation for this protocol was generated from the following file:

- Headers/Public/VLCMediaPlayer.h